Skip to main content
POST
/
webhooks-journal
/
snapshots
/
2026-03
/
crm
cURL
curl --request POST \
  --url https://api.hubapi.com/webhooks-journal/snapshots/2026-03/crm \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "snapshotRequests": [
    {
      "objectId": 123,
      "objectTypeId": "<string>",
      "portalId": 123,
      "properties": [
        "<string>"
      ]
    }
  ]
}
'
{
  "snapshotResponses": [
    {
      "objectId": 123,
      "objectTypeId": "<string>",
      "portalId": 123,
      "snapshotStatusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
snapshotRequests
object[]
required

Response

successful operation

snapshotResponses
object[]
required
Last modified on May 1, 2026